<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dgalmacen';
  	var  $almacen = '0';
	var  $desc_almacen = '0';
	var  $acceso = '0';
	var  $cta_cos = '0';
	var  $cta_inv = '0';
	var  $cta_vta = '0';
	var  $cta_devvta = '0';
	var  $cta_desbon = '0';
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE almacen = '$this->almacen' or desc_almacen = '$this->desc_almacen'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (almacen, desc_almacen, acceso, cta_cos, cta_inv, cta_vta, cta_devvta, cta_desbon, acc_fec, acc_hor, usuario)values('$this->almacen','$this->desc_almacen', '$this->acceso', '$this->cta_cos', '$this->cta_inv', '$this->cta_vta', '$this->cta_devvta', '$this->cta_desbon', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')";
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($almacen){
		$sql= "SELECT * FROM $this->nom_tabla WHERE almacen = '$almacen'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($almacen){
		$sql = "UPDATE $this->nom_tabla SET almacen = '$this->almacen',desc_almacen = '$this->desc_almacen',acceso= '$this->acceso',cta_cos= '$this->cta_cos',cta_inv= '$this->cta_inv',cta_vta= '$this->cta_vta',cta_devvta= '$this->cta_devvta',cta_desbon= '$this->cta_desbon',acc_fec='".date('Y-m-d')."', acc_hor= '".date('H:i:s')."',usuario = '".$_SESSION['num_usu']."' where almacen = '$almacen'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($almacen){   
		$sql = "DELETE FROM $this->nom_tabla WHERE almacen = '$almacen'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>